#include "SiteServer.h"

Passer::Control::SiteServer::SiteServer(int port) {
  this->name = "Site Server";

  this->ipAddress = "0.0.0.0";
  this->port = port;

  this->participants.push_back(this);

  SetupUDP(port, ipAddress, 0);
}

void Passer::Control::SiteServer::Update(unsigned long currentTimeMs) {
  this->ReceiveUDP();
  Thing::UpdateAll(currentTimeMs);
}

void Passer::Control::SiteServer::Process(Participant *sender, ClientMsg *msg) {
  if (msg->networkId == 0) {
    std::cout << this->name << " received New Client -> "
              << (unsigned char)sender->networkId << "\n";
    sender->Send(&NetworkIdMsg(sender->networkId));
  }
}

void Passer::Control::SiteServer::Process(Participant *sender,
                                          NetworkIdMsg *msg) {}
